Tp::PendingContactInfo Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingContactInfo Class Reference
Connection proxies

The PendingContactInfo class represents the parameters of and the reply to an asynchronous contact info request. More...

`#include <TelepathyQt/PendingContactInfo>`

Inherits Tp::PendingOperation.

## Public Member Functions
| ~PendingContactInfo ()
ContactPtr | contact () const
Contact::InfoFields | infoFields () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members
Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

The PendingContactInfo class represents the parameters of and the reply to an asynchronous contact info request.

Instances of this class cannot be constructed directly; the only way to get one is via Contact.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingContactInfo::~PendingContactInfo | ( |  | ) |

Class destructor.

## Member Function Documentation

ContactPtr Tp::PendingContactInfo::contact | ( |  | ) | const

Return the contact through which the request was made.

Returns
  A pointer to the Contact object.

Contact::InfoFields Tp::PendingContactInfo::infoFields | ( |  | ) | const

Return the information for contact().

Returns
  The contact infor as a Contact::InfoFields object.